Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java	(revision 451)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java	(revision 452)
@@ -27,30 +27,24 @@
 //
 package org.txm.partition.rcp.handlers;
 
-import java.util.List;
-
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
-import org.eclipse.jface.viewers.IStructuredSelection;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
 import org.eclipse.swt.widgets.ToolItem;
-import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.Toolbox;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditorPart;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.partition.core.functions.PartitionDimensions;
 import org.txm.partition.core.preferences.PartitionDimensionsPreferences;
 import org.txm.partition.rcp.messages.PartitionUIMessages;
-import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.IImageKeys;
+import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.views.corpora.CorporaView;
-import org.txm.searchengine.cqp.CQPEngine;
-import org.txm.searchengine.cqp.corpus.Part;
 import org.txm.searchengine.cqp.corpus.Partition;
 
+
 /**
  * Creates and opens a bar chart editor with the dimensions of the selected partition.
  * 
@@ -74,82 +68,70 @@
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		
-		if (!CQPEngine.isInitialized()) return false;
+		if (!this.checkCorpusEngine())	{
+			return false;
+		}
 		
 		if(!this.checkStatsEngine()) {
-			return null;
+			return false;
 		}
 
 		
-		IStructuredSelection selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
-
-		PartitionDimensions partitionDimensions = null; 
+		Object selection = this.getSelection();
+		PartitionDimensions partitionDimensions = null;
 		
-		// Create new editor
-		if (selection.getFirstElement() instanceof Partition) {
-			final Partition partition = (Partition) selection.getFirstElement();
-			try {
-				List<Part> parts = partition.getParts();
-				if(parts.size() == 0)	{
-					return false;
-				}
+		
+		// Creating from Partition
+		if (selection instanceof Partition) {
+			Partition partition = (Partition) selection;
+			if(partition.getParts().size() == 0)	{
+				return false;
+			}
 
-				partitionDimensions = new PartitionDimensions(partition);
-				CorporaView.refreshObject(partitionDimensions.getCorpus());
+			partitionDimensions = new PartitionDimensions(partition);
 				
-			}
-			catch (Exception e) {
-				org.txm.rcp.utils.Logger.printStackTrace(e);
-			}
 		}
-		// Reopen an editor
-		else if(selection.getFirstElement() instanceof PartitionDimensions)	{
-			partitionDimensions = (PartitionDimensions) selection.getFirstElement(); 
+		// Reopening from existing result
+		else if(selection instanceof PartitionDimensions)	{
+			partitionDimensions = (PartitionDimensions) selection;
 		}
 
+		final ChartEditorPart editor = SWTChartsComponentsProvider.getCurrent().openEditor(partitionDimensions, "Partition Dimensions Bar Chart"); //$NON-NLS-1$
+		
+		// FIXME: Pie chart tests
+//		final ChartEditorPart editor = SWTChartsComponentsProvider.getCurrent().openEditor(partitionDimensions, "Partition Dimensions Pie Chart");
 
-		if(partitionDimensions != null)	{
+		
+		// Contribute to the tool bar without extending ChartEditorPart
+		// FIXME: finally, would be better to create a PartitionDimensionEditor
+		if(!editor.wasAlreadyOpened())	{
 
-			final ChartEditorPart editor = SWTChartsComponentsProvider.getCurrent().openEditor(partitionDimensions, PartitionDimensionsPreferences.PREFERENCES_NODE,
-					"Partition Dimensions Bar Chart");
 			
+			editor.refresh();
 			
-			// FIXME: Pie chart tests
-//			final ChartEditorPart editor = SWTChartsComponentsProvider.getCurrent().openEditor(partitionDimensions, PartitionDimensionsPreferences.PREFERENCES_NODE,
-//					"Partition Dimensions Pie Chart");
-
+			new ToolItem(editor.getToolBar(), SWT.SEPARATOR);
 			
-			// Contribute to the tool bar without extending ChartEditorPart
-			if(!editor.wasAlreadyOpened())	{
+			final ToolItem sortByPartSize = new ToolItem(editor.getToolBar(), SWT.CHECK);
+			sortByPartSize.setImage(IImageKeys.getImage(ComputePartitionDimensionsBarChart.class, "icons/silk_sort_by_size.png"));
+			sortByPartSize.setToolTipText(PartitionUIMessages.PreferencesPage_DIMENSIONS_SORT_BY_PARTS_SIZE);
+			sortByPartSize.setSelection(editor.getBooleanParameterValue(PartitionDimensionsPreferences.CHART_DIMENSIONS_SORTED_BY_SIZE));
+			
+			sortByPartSize.addSelectionListener(new SelectionListener() {
 				
-				new ToolItem(editor.getToolBar(), SWT.SEPARATOR);
+				@Override
+				public void widgetSelected(SelectionEvent e) {
+					TXMPreferences.putLocalBoolean(editor.getResultData(), PartitionDimensionsPreferences.CHART_DIMENSIONS_SORTED_BY_SIZE, sortByPartSize.getSelection());
+					editor.computeChart(true, false, true);
+				}
 				
-				final ToolItem sortByPartSize = new ToolItem(editor.getToolBar(), SWT.CHECK);
-				sortByPartSize.setImage(IImageKeys.getImage(ComputePartitionDimensionsBarChart.class, "icons/silk_sort_by_size.png"));
-				sortByPartSize.setToolTipText(PartitionUIMessages.PreferencesPage_DIMENSIONS_SORT_BY_PARTS_SIZE);
-				sortByPartSize.setSelection(TXMPreferences.getBoolean(PartitionDimensionsPreferences.PREFERENCES_NODE, editor.getResultData(), PartitionDimensionsPreferences.CHART_DIMENSIONS_SORTED_BY_SIZE));
-				
-				sortByPartSize.addSelectionListener(new SelectionListener() {
+				@Override
+				public void widgetDefaultSelected(SelectionEvent e) {
+					// TODO Auto-generated method stub
 					
-					@Override
-					public void widgetSelected(SelectionEvent e) {
-						TXMPreferences.putLocalBoolean(editor.getResultData(), PartitionDimensionsPreferences.CHART_DIMENSIONS_SORTED_BY_SIZE, sortByPartSize.getSelection());
-						editor.computeChart(true, false, true);
-					}
-					
-					@Override
-					public void widgetDefaultSelected(SelectionEvent e) {
-						// TODO Auto-generated method stub
-						
-					}
-				});
-				
-				
-				
-			}
-			
+				}
+			});
 		}
-		
+			
 		return null;
 	}
 	
Index: tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java	(revision 451)
+++ tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java	(revision 452)
@@ -34,20 +34,13 @@
 
 import org.eclipse.jface.preference.ComboFieldEditor;
 import org.eclipse.ui.IWorkbench;
-import org.eclipse.ui.PlatformUI;
 import org.txm.chartsengine.core.ChartsEngine;
-import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
-import org.txm.chartsengine.jfreechart.core.JFCChartsEngine;
-import org.txm.chartsengine.jfreechart.core.preferences.JFCChartsEnginePreferences;
 import org.txm.chartsengine.r.core.RChartsEngine;
 import org.txm.chartsengine.r.core.preferences.RChartsEnginePreferences;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.messages.SWTComponentsProviderMessages;
-import org.txm.core.preferences.TXMPreferences;
-import org.txm.rcp.preferences.ExportPreferencePage;
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
-import org.txm.rcp.preferences.UserPreferencePage;
 
 /**
  * R charts engine preference page.
Index: tmp/org.txm.chartsengine.r.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.r.rcp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.chartsengine.r.rcp/META-INF/MANIFEST.MF	(revision 452)
@@ -4,9 +4,10 @@
 Bundle-SymbolicName: org.txm.chartsengine.r.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
-Require-Bundle: org.txm.core,
- org.txm.chartsengine.rcp;bundle-version="1.0.0";visibility:=reexport,
- org.txm.rcp;bundle-version="0.7.8",
- org.txm.chartsengine.r.core;bundle-version="1.0.0";visibility:=reexport
+Require-Bundle: org.eclipse.ui;bundle-version="3.106.1",
+ org.txm.chartsengine.r.core;bundle-version="1.0.0",
+ org.txm.core,
+ org.txm.chartsengine.rcp;bundle-version="1.0.0",
+ org.txm.rcp;bundle-version="0.7.8"
 Bundle-Vendor: Textometrie.org
 Import-Package: org.txm.chartsengine.rcp.messages
Index: tmp/org.txm.index.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.index.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.index.core/META-INF/MANIFEST.MF	(revision 452)
@@ -3,12 +3,12 @@
 Bundle-Name: Index Core
 Bundle-SymbolicName: org.txm.index.core
 Bundle-Version: 1.0.0.qualifier
-Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
  org.txm.statsengine.r.core;bundle-version="1.0.0",
  org.txm.lexicon.core;bundle-version="1.0.0",
  org.eclipse.core.runtime,
  org.txm.core;bundle-version="0.7.0",
- org.txm.utils;bundle-version="1.0.0",
  org.txm.searchengine.core;bundle-version="1.0.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 451)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 452)
@@ -298,7 +298,7 @@
 	protected boolean scanCorpus(Corpus corp) throws CqiClientException, IOException, CqiServerError {
 		// get the cqp result of the query
 		
-		long time = System.currentTimeMillis();
+		//long time = System.currentTimeMillis();
 		QueryResult result = corp.query(query, "index", true); //$NON-NLS-1$
 		boolean isTargetUsed = CQPEngine.getCqiClient().subCorpusHasField(result.getQualifiedCqpId(), ICqiClient.CQI_CONST_FIELD_TARGET);
 		int nbresults = result.getNMatch();
@@ -429,7 +429,7 @@
 	 * @return the lines
 	 */
 	public List<Line> getLines(int start, int end) {
-		long time = System.currentTimeMillis();
+	//	long time = System.currentTimeMillis();
 		List<Line> selectedLines = new ArrayList<Line>();
 		if (lines.size() > 0) {
 			start = Math.max(0, start);
@@ -549,7 +549,7 @@
 	 * @param Fmax the fmax
 	 */
 	public void filterLines(int Fmin, int Fmax) {
-		int before = lines.size();
+		//int before = lines.size();
 		for (int i = 0; i < lines.size(); i++)// for each line
 		{
 			Line line = lines.get(i);
@@ -577,7 +577,7 @@
 	public void cut(int vmax) {
 		this.acquireSemaphore();
 		// assume the lines are sorted
-		int before = lines.size();
+		//int before = lines.size();
 		this.lines = this.lines.subList(0, Math.min(lines.size(), vmax));
 		this.FilterVmax = vmax;
 		updateFminFmax();
Index: tmp/org.txm.utils/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.utils/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.utils/META-INF/MANIFEST.MF	(revision 452)
@@ -3,7 +3,7 @@
 Bundle-Name: org.txm.utils
 Bundle-SymbolicName: org.txm.utils
 Bundle-Version: 1.0.0.qualifier
-Require-Bundle: org.eclipse.osgi.util;bundle-version="3.3.0";visibility:=reexport,
+Require-Bundle: org.eclipse.osgi.util;bundle-version="3.3.0",
  org.eclipse.core.runtime,
  org.txm.libs.saxon;bundle-version="9.0.0";visibility:=reexport,
  org.eclipse.core.net;bundle-version="1.2.200"
Index: tmp/org.txm.cooccurrence.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.cooccurrence.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.cooccurrence.core/META-INF/MANIFEST.MF	(revision 452)
@@ -3,14 +3,17 @@
 Bundle-Name: Cooccurrence Core
 Bundle-SymbolicName: org.txm.cooccurrence.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
-Require-Bundle: org.txm.concordance.core;bundle-version="1.0.0",
- org.txm.core;bundle-version="0.7.0";visibility:=reexport,
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.osgi;bundle-version="3.10.2",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.txm.concordance.core;bundle-version="1.0.0",
+ org.txm.statsengine.r.core;bundle-version="1.0.0",
+ org.txm.core;bundle-version="0.7.0",
  org.txm.lexicaltable.core,
  org.txm.specificities.core;bundle-version="1.0.0",
- org.eclipse.core.runtime,
  org.txm.index.core;bundle-version="1.0.0",
- org.txm.searchengine.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport
+ org.txm.searchengine.core;bundle-version="1.0.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
 Export-Package: org.txm.cooccurrence.core.functions,
Index: tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java
===================================================================
--- tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 451)
+++ tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 452)
@@ -631,7 +631,7 @@
 		//System.out.println("T counts : "+(System.currentTimeMillis()- time)); //$NON-NLS-1$
 		
 		allsignaturesstr = null; // no more need
-		counted = null;
+//		counted = null;
 		return true;
 	}
 
@@ -1012,7 +1012,6 @@
 			monitor.worked(10);
 			this.releaseSemaphore();
 			
-			this.clearMemory();
 		}
 		// user canceling
 		catch(ThreadDeath e) {
@@ -1040,7 +1039,7 @@
 				this.getIntParameterValue(CooccurrencePreferences.MIN_RIGHT),
 				this.getIntParameterValue(CooccurrencePreferences.MAX_RIGHT),
 				this.getIntParameterValue(CooccurrencePreferences.MIN_FREQ),
-				this.getIntParameterValue(CooccurrencePreferences.MIN_SCORE),
+				this.getDoubleParameterValue(CooccurrencePreferences.MIN_SCORE),
 				this.getIntParameterValue(CooccurrencePreferences.MIN_COUNT),
 				this.getBooleanParameterValue(CooccurrencePreferences.INCLUDE_X_PIVOT),
 				this.getBooleanParameterValue(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE)))	{
@@ -1802,7 +1801,16 @@
 
 	@Override
 	public String getSimpleName() {
-		return query + " (" + (maxLeft-1) + ", " + (maxRight-1) + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		String output = "";
+		
+		if(query != null)	{
+			output += query.getQueryString();
+		}
+		
+		if(maxLeft > 0 && maxRight > 0)	{
+			output += " (" + (maxLeft-1) + ", " + (maxRight-1) + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
+		}
+		return output;
 	}
 
 	@Override
Index: tmp/org.txm.textsbalance.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.textsbalance.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.textsbalance.core/META-INF/MANIFEST.MF	(revision 452)
@@ -8,7 +8,8 @@
  org.txm.textsbalance.core.chartsengine.r,
  org.txm.textsbalance.core.functions,
  org.txm.textsbalance.core.preferences
-Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
  org.eclipse.core.runtime;bundle-version="3.10.0",
  org.txm.core;bundle-version="0.7.0",
  org.txm.chartsengine.core;bundle-version="1.0.0",
Index: tmp/org.txm.statsengine.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.statsengine.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.statsengine.core/META-INF/MANIFEST.MF	(revision 452)
@@ -8,8 +8,9 @@
  org.txm.statsengine.core.data,
  org.txm.statsengine.core.messages,
  org.txm.statsengine.core.utils
-Require-Bundle: org.txm.core;bundle-version="0.7.0",
- org.txm.utils;bundle-version="1.0.0",
- org.eclipse.core.runtime;bundle-version="3.10.0"
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.osgi;bundle-version="3.10.2",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.txm.core;bundle-version="0.7.0"
 Bundle-Vendor: Textometrie.org
 Import-Package: org.eclipse.osgi.util
Index: tmp/org.txm.lexicaltable.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.lexicaltable.rcp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.lexicaltable.rcp/META-INF/MANIFEST.MF	(revision 452)
@@ -3,17 +3,21 @@
 Bundle-Name: Lexical Table RCP
 Bundle-SymbolicName: org.txm.lexicaltable.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
-Require-Bundle: org.txm.index.core;bundle-version="1.0.0",
+Require-Bundle: org.eclipse.osgi;bundle-version="3.10.2",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.ui;bundle-version="3.106.1",
+ org.txm.libs.batik,
+ org.txm.statsengine.core;bundle-version="1.0.0",
+ org.txm.statsengine.r.core;bundle-version="1.0.0",
+ org.txm.statsengine.r.rcp,
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+ org.txm.index.core;bundle-version="1.0.0",
  org.txm.ca.core;bundle-version="1.0.0",
  org.txm.core,
  org.txm.lexicaltable.core;bundle-version="1.0.0",
- org.eclipse.core.runtime,
  org.txm.rcp,
- org.eclipse.ui;bundle-version="3.106.1",
- org.txm.statsengine.r.rcp,
- org.eclipse.core.expressions;bundle-version="3.4.600",
- org.txm.statsengine.core;bundle-version="1.0.0",
- org.txm.statsengine.r.core;bundle-version="1.0.0"
+ org.eclipse.core.expressions;bundle-version="3.4.600"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
 Export-Package: org.txm.lexicaltable.rcp.adapters,
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LineLabelProvider.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LineLabelProvider.java	(revision 451)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LineLabelProvider.java	(revision 452)
@@ -34,7 +34,6 @@
 import org.eclipse.jface.viewers.ITableLabelProvider;
 import org.eclipse.jface.viewers.LabelProvider;
 import org.eclipse.swt.graphics.Image;
-import org.txm.cooccurrence.rcp.preferences.CoocPreferencePage;
 import org.txm.lexicaltable.core.functions.LexicalTable;
 import org.txm.rcp.TxmPreferences;
 
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 451)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 452)
@@ -52,15 +52,14 @@
 import org.txm.lexicaltable.core.functions.LexicalTable;
 import org.txm.lexicaltable.core.functions.LexicalTableFactory;
 import org.txm.lexicaltable.core.preferences.LexicalTablePreferences;
-import org.txm.lexicaltable.core.statsengine.data.ILexicalTable;
 import org.txm.lexicaltable.core.statsengine.r.data.LexicalTableImpl;
 import org.txm.lexicaltable.rcp.editors.LexicalTableDialog;
 import org.txm.lexicaltable.rcp.editors.LexicalTableEditor2;
 import org.txm.lexicaltable.rcp.editors.LexicalTableEditorInput;
-import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.JobsTimer;
 import org.txm.rcp.Messages;
 import org.txm.rcp.StatusLine;
+import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.QueriesView;
 import org.txm.rcp.views.corpora.CorporaView;
Index: tmp/org.txm.cah.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.cah.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.cah.core/META-INF/MANIFEST.MF	(revision 452)
@@ -3,14 +3,16 @@
 Bundle-Name: CAH Core
 Bundle-SymbolicName: org.txm.cah.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
-Require-Bundle: org.txm.ca.core;bundle-version="1.0.0",
- org.eclipse.core.runtime,
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.osgi;bundle-version="3.10.2",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.txm.statsengine.r.core;bundle-version="1.0.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+ org.txm.ca.core;bundle-version="1.0.0",
  org.txm.core;bundle-version="0.7.0",
  org.txm.chartsengine.r.core;bundle-version="1.0.0",
  org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0",
- org.txm.lexicaltable.core;bundle-version="1.0.0",
- org.txm.statsengine.core;bundle-version="1.0.0",
- org.txm.statsengine.r.core;bundle-version="1.0.0"
+ org.txm.lexicaltable.core;bundle-version="1.0.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
 Export-Package: org.txm.cah.core.chartsengine.jfreechart,
Index: tmp/org.txm.index.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.index.rcp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.index.rcp/META-INF/MANIFEST.MF	(revision 452)
@@ -4,14 +4,18 @@
 Bundle-SymbolicName: org.txm.index.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.osgi;bundle-version="3.10.2",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.txm.lexicon.core;bundle-version="1.0.0",
+ org.txm.statsengine.core;bundle-version="1.0.0",
+ org.txm.statsengine.r.core;bundle-version="1.0.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
  org.txm.core;bundle-version="0.7.0",
  org.txm.index.core;bundle-version="1.0.0",
  org.txm.statsengine.r.rcp,
  org.eclipse.ui;bundle-version="3.106.1",
- org.eclipse.core.runtime;bundle-version="3.10.0",
  org.txm.rcp,
- org.txm.statsengine.r.core;bundle-version="1.0.0",
  org.eclipse.core.expressions;bundle-version="3.4.600",
  org.txm.searchengine.core;bundle-version="1.0.0"
 Export-Package: org.txm.index.rcp.adapters,
Index: tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 452)
@@ -4,7 +4,15 @@
 Bundle-SymbolicName: org.txm.progression.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+Require-Bundle: org.txm.utils,
+ org.eclipse.osgi;bundle-version="3.10.2",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.eclipse.ui;bundle-version="3.106.1",
+ org.eclipse.e4.ui.workbench;bundle-version="1.2.2",
+ org.txm.concordance.core;bundle-version="1.0.0",
+ org.txm.concordance.rcp,
+ org.txm.synopticeditor.rcp,
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
  org.txm.progression.core;bundle-version="1.0.0",
  org.txm.chartsengine.svgbatik.rcp;bundle-version="1.0.0",
  org.txm.lexicaltable.rcp;bundle-version="1.0.0",
@@ -16,10 +24,7 @@
  org.txm.core;bundle-version="0.7.0",
  org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0",
  org.txm.rcp,
- org.eclipse.core.runtime;bundle-version="3.10.0",
- org.txm.synopticeditor.rcp,
  org.eclipse.core.expressions;bundle-version="3.4.600",
- org.txm.concordance.rcp,
  org.txm.searchengine.core;bundle-version="1.0.0"
 Export-Package: org.txm.progression.rcp.adapters,
  org.txm.progression.rcp.chartsengine.events,
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 451)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 452)
@@ -37,7 +37,6 @@
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.Toolbox;
 import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.r.core.RChartsEngine;
@@ -50,16 +49,17 @@
 import org.txm.progression.core.preferences.ProgressionPreferences;
 import org.txm.progression.rcp.dialogs.ProgressionDialog;
 import org.txm.progression.rcp.forms.ProgressionParametersComposite;
-import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.JobsTimer;
 import org.txm.rcp.Messages;
 import org.txm.rcp.StatusLine;
+import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.CQPEngine;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.utils.logger.Log;
 
+
 /**
  * Open the ProgressionDialog, computes and opens the result editor part.
  * 
@@ -151,6 +151,7 @@
 
 			// FIXME: tests parameters composite extension
 			// Contribute to the tool bar without extending ChartEditorPart
+			// FIXME: finally, would be better to create a ProgressionEditor
 			if(!editor.wasAlreadyOpened())	{
 				new ProgressionParametersComposite(editor.getCommandParametersGroup(), SWT.NONE);
 				editor.getCommandParametersGroup().pack();
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 451)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 452)
@@ -9,8 +9,6 @@
 import java.util.List;
 
 import org.txm.chartsengine.core.results.ChartResult;
-import org.txm.core.results.TXMParameters;
-import org.txm.functions.ProgressWatcher;
 import org.txm.partition.core.messages.PartitionCoreMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -27,7 +25,7 @@
 
 	
 	/**
-	 * Creates a partition dimensions result from the specified <code>Partition</code>.
+	 * Creates a partition dimensions result from the specified <link>Partition</link>.
 	 */
 	public PartitionDimensions(Partition partition) {
 		super(partition);
Index: tmp/org.txm.partition.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.partition.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.partition.core/META-INF/MANIFEST.MF	(revision 452)
@@ -3,9 +3,12 @@
 Bundle-Name: Partition Core
 Bundle-SymbolicName: org.txm.partition.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
-Require-Bundle: org.txm.chartsengine.core,
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.osgi;bundle-version="3.10.2",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.txm.chartsengine.core,
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
  org.txm.core;bundle-version="0.7.0",
- org.eclipse.core.runtime,
  org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0",
  org.txm.chartsengine.r.core;bundle-version="1.0.0",
  org.txm.lexicaltable.core;bundle-version="1.0.0"
Index: tmp/org.txm.chartsengine.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.chartsengine.core/META-INF/MANIFEST.MF	(revision 452)
@@ -3,9 +3,9 @@
 Bundle-Name: Charts Engine Core
 Bundle-SymbolicName: org.txm.chartsengine.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
-Require-Bundle: org.txm.utils;visibility:=reexport,
- org.txm.core;bundle-version="0.7.0";visibility:=reexport,
- org.eclipse.core.runtime;visibility:=reexport
+Require-Bundle: org.eclipse.core.runtime,
+ org.txm.utils,
+ org.txm.core;bundle-version="0.7.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
 Export-Package: org.txm.chartsengine.core,
Index: tmp/org.txm.concordance.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.concordance.rcp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.concordance.rcp/META-INF/MANIFEST.MF	(revision 452)
@@ -5,13 +5,18 @@
 Bundle-Version: 1.0.0.qualifier
 Bundle-Vendor: Textometrie.org
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+Require-Bundle: org.txm.annotation.core;bundle-version="1.0.0",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.eclipse.ui;bundle-version="3.106.1",
+ org.txm.cooccurrence.core;bundle-version="1.0.0",
+ org.txm.cooccurrence.rcp;bundle-version="1.0.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+ org.eclipse.e4.ui.workbench;bundle-version="1.2.2",
  org.txm.concordance.core,
+ org.txm.utils;bundle-version="1.0.0",
+ org.txm.core,
  org.txm.rcp,
- org.eclipse.ui;bundle-version="3.106.1",
- org.eclipse.core.runtime;bundle-version="3.10.0",
  org.eclipse.core.expressions;bundle-version="3.4.600",
- org.txm.core,
  org.txm.para.rcp,
  org.txm.searchengine.core;bundle-version="1.0.0"
 Export-Package: org.txm.concordance.rcp.adapters,
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/ComputeCoocFromLines.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/ComputeCoocFromLines.java	(revision 451)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/ComputeCoocFromLines.java	(revision 452)
@@ -86,7 +86,9 @@
 	 * @see org.eclipse.jface.action.Action#run()
 	 */
 	@Override
+	@Deprecated
 	public void run() {
+		//FIXME: should call the ComputeCooccurrence command with some TXMParameters as RCP parametrized command
 		TableViewer table = concordanceEditor.getLineTableViewer();
 		Cooccurrence cooc = ComputeCooccurrences
 				.computeCooc((IStructuredSelection) table.getSelection());
